import { requestClient } from '#/api/request';

const prefix = 'prescription/';
/**
 * 分页查询用户列表
 * @param data
 */
export async function getPrescriptionListApi(data: any) {
  return requestClient.get<any>(`${prefix}list`, { params: data });
}
/**
 * 处方溯源
 * @param data
 */
export async function getPrescriptionSourceApi(data: any) {
  return requestClient.get<any>(`${prefix}source`, { params: data });
}
/**
 * 检查处方状态
 * @param data
 */
export async function getPrescriptionCheckStatusApi(data: any) {
  return requestClient.get<any>(`${prefix}check-status`, { params: data });
}
